members.dev
Subscriptions

List Subscriptions

GET
/v1/subscriptions

Authorization

HTTPBearer
AuthorizationBearer <token>

In: header

Query Parameters

product_ids?array<>|

Filter by one or more product IDs. Provide the parameter multiple times for multiple products.

user_ids?array<>|

Filter subscriptions that include one or more user IDs. Provide the parameter multiple times for multiple users.

page?integer

Page number

Default1
Range1 <= value
size?integer

Page size

Default50
Range1 <= value <= 100

Response Body

application/json

application/json

curl -X GET "https://api.members.dev/v1/subscriptions"
{
  "items": [
    {
      "id": "string",
      "user_ids": [
        "string"
      ],
      "status": "trialing",
      "product": {
        "product_id": "string",
        "start": {
          "start_type": "auto"
        },
        "recurring": {
          "recurring_type": "never"
        },
        "expiry": {
          "expiry_type": "never"
        },
        "trial": {
          "interval": "day",
          "interval_count": 7
        },
        "price": {
          "price_type": "fixed",
          "price_id": "string",
          "amount": 0,
          "currency": "string"
        },
        "benefit_schedules": [
          {
            "recurring": {
              "recurring_type": "never"
            },
            "expiry": {
              "expiry_type": "never"
            },
            "benefit_grants": [
              {
                "benefit_id": "string",
                "value_initial": 0,
                "expiry": {
                  "expiry_type": "never"
                }
              }
            ]
          }
        ]
      },
      "trial_starts_at": {},
      "trial_ends_at": {},
      "current_period_starts_at": {},
      "current_period_ends_at": {},
      "starts_at": {},
      "expires_at": {},
      "benefit_schedules": [
        "string"
      ],
      "state_transitions": {
        "trialing_at": {},
        "pending_at": {},
        "active_at": {},
        "past_due_at": {},
        "canceled_at": {},
        "expired_at": {},
        "paused_at": {}
      },
      "next_update": {
        "updates_at": null,
        "update_type": "activates"
      },
      "invoices": [
        {
          "id": "string",
          "user_ids": [
            "string"
          ],
          "status": "open",
          "due_at": null,
          "amount_original": 0,
          "amount_due": 0,
          "currency": "string",
          "subscription": {
            "subscription_id": "string",
            "period_starts_at": {},
            "period_ends_at": {}
          },
          "state_transitions": {
            "opened_at": {},
            "past_due_at": {},
            "paid_at": {},
            "voided_at": {}
          },
          "next_update": {
            "updates_at": null,
            "update_type": "past_due"
          },
          "created_at": null,
          "updated_at": null
        }
      ],
      "created_at": null,
      "updated_at": null
    }
  ],
  "total": 0,
  "page": 1,
  "size": 1,
  "pages": 0
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string",
      "input": null,
      "ctx": {}
    }
  ]
}